/*
 * BottomOfTheStackSymbol.cpp
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#include "BottomOfTheStackSymbol.h"

namespace alphabet {

BottomOfTheStackSymbol::BottomOfTheStackSymbol() {

}

SymbolBase* BottomOfTheStackSymbol::clone() const {
	return new BottomOfTheStackSymbol(*this);
}

SymbolBase* BottomOfTheStackSymbol::plunder() && {
	return new BottomOfTheStackSymbol(std::move(*this));
}

int BottomOfTheStackSymbol::compare(const BottomOfTheStackSymbol&) const {
	return 0;
}

void BottomOfTheStackSymbol::operator>>(std::ostream& out) const {
	out << "(BottomOfTheStackSymbol)";
}

BottomOfTheStackSymbol::operator std::string () const {
	return "T";
}

BottomOfTheStackSymbol BottomOfTheStackSymbol::BOTTOM_OF_THE_STACK = BottomOfTheStackSymbol();

} /* namespace alphabet */
