/*
 * StartSymbol.cpp
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#include "StartSymbol.h"

namespace alphabet {

StartSymbol::StartSymbol() {

}

SymbolBase* StartSymbol::clone() const {
	return new StartSymbol(*this);
}

SymbolBase* StartSymbol::plunder() && {
	return new StartSymbol(std::move(*this));
}

int StartSymbol::compare(const StartSymbol&) const {
	return 0;
}

void StartSymbol::operator>>(std::ostream& out) const {
	out << "(StartSymbol)";
}

StartSymbol::operator std::string () const {
	return "$";
}

StartSymbol StartSymbol::START = StartSymbol();

} /* namespace alphabet */
